Skip to main content

Network Offering

Network offerings define the feature set and services available to a network.

Resource base path: /restapi/networkoffering

MethodPathDescription
GET/restapi/networkoffering/networkOfferingListNetwork Offering List
GET/restapi/networkoffering/vpcNetworkOfferingListVPC Network Offering List
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Network Offering List​

Network Offering List.

GET /restapi/networkoffering/networkOfferingList

Parameters​

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.
uuidquerystringNoUUID of the resource.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/networkoffering/networkOfferingList?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listNetworkOfferingResponse": [
{
"displayText": "string",
"offerName": "example-name",
"name": "example-name",
"availability": "string",
"guestIpType": "string",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkTrialOffering": true
}
]
}

VPC Network Offering List​

VPC Network Offering List.

GET /restapi/networkoffering/vpcNetworkOfferingList

Parameters​

ParameterInTypeRequiredDescription
uuidquerystringNoUUID of the resource.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/networkoffering/vpcNetworkOfferingList" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listNetworkOfferingResponse": [
{
"displayText": "string",
"offerName": "example-name",
"name": "example-name",
"availability": "string",
"guestIpType": "string",
"isActive": true,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"networkTrialOffering": true
}
]
}